Skip to main content
POST
/
image-generation
gemini-3.1-flash-image-preview
curl --request POST \
  --url https://api.linkai.one/api/v1/image-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "gemini-3.1-flash-image-preview",
  "prompt": "<string>",
  "images": "<string>",
  "quality": "1K",
  "size": "1x1"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

model is required

Available options:
gemini-3.1-flash-image-preview
prompt
string
required
Required string length: 1 - 8500
images
string
quality
enum<string>
Available options:
1K,
2K,
4K
size
enum<string>
Available options:
1x1,
2x3,
3x2,
3x4,
4x3,
4x5,
5x4,
9x16,
16x9,
21x9

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"